---
title: SVGGradientElement
slug: Web/API/SVGGradientElement
tags:
  - API
  - NeedsExample
  - Reference
  - SVG
  - SVG DOM
---
<div>{{APIRef("SVG")}}</div>

<p>The <strong><code>SVGGradient</code></strong> interface is a base interface used by {{domxref("SVGLinearGradientElement")}} and {{domxref("SVGRadialGradientElement")}}.</p>

<p>{{InheritanceDiagram(600, 140)}}</p>

<h2 id="Constants">Constants</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th>Name</th>
   <th>Value</th>
   <th>Description</th>
  </tr>
  <tr>
   <td><code>SVG_SPREADMETHOD_UNKNOWN</code></td>
   <td>0</td>
   <td>The type is not one of predefined types. It is invalid to attempt to define a new value of this type or to attempt to switch an existing value to this type.</td>
  </tr>
  <tr>
   <td><code>SVG_SPREADMETHOD_PAD</code></td>
   <td>1</td>
   <td>Corresponds to value <em>pad</em>.</td>
  </tr>
  <tr>
   <td><code>SVG_SPREADMETHOD_REFLECT</code></td>
   <td>2</td>
   <td>Corresponds to value <em>reflect</em>.</td>
  </tr>
  <tr>
   <td><code>SVG_SPREADMETHOD_REPEAT</code></td>
   <td>3</td>
   <td>Corresponds to value <em>repeat</em>.</td>
  </tr>
 </tbody>
</table>

<h2 id="Properties">Properties</h2>

<p><em>This interface also inherits properties from its parent, {{domxref("SVGElement")}}, and implements those of {{domxref("SVGURIReference")}}.</em></p>

<dl>
 <dt>{{domxref("SVGGradientElement.gradientUnits")}} {{ReadOnlyInline}}</dt>
 <dd>Returns an {{domxref("SVGAnimatedEnumeration")}} corresponding to the {{SVGAttr("gradientUnits")}} attribute on the given element. Takes one of the constants defined in {{domxref("SVGUnitTypes")}}.</dd>
 <dt>{{domxref("SVGGradientElement.gradientTransform")}} {{ReadOnlyInline}}</dt>
 <dd>Returns an {{domxref("SVGAnimatedTransformList")}} corresponding to attribute {{SVGAttr("gradientTransform")}} on the given element.</dd>
 <dt>{{domxref("SVGGradientElement.spreadMethod")}} {{ReadOnlyInline}}</dt>
 <dd>Returns an {{domxref("SVGAnimatedEnumeration")}} corresponding to attribute {{SVGAttr("spreadMethod")}} on the given element. One of the spread method types defined on this interface.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<p><em>This interface does not provide any specific methods, but implements those of its parent, {{domxref("SVGElement")}}.</em></p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("SVG2", "pservers.html#InterfaceSVGGradientElement", "SVGGradientElement")}}</td>
   <td>{{Spec2("SVG2")}}</td>
   <td>Removed inheritance of {{domxref("SVGExternalResourcesRequired")}}, {{domxref("SVGStylable")}}, and {{domxref("SVGUnitTypes")}}</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "pservers.html#InterfaceSVGGradientElement", "SVGGradientElement")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.SVGGradientElement")}}</p>
